<?php
/**
 * Class that operate on table 'government'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2016-12-29 21:44
 */
class GovernmentMySqlExtDAO extends GovernmentMySqlDAO {

     public function queryByGovernmentnames($governmentname, $oldGovernmentId){
        $sql = "select *  from government where governmentname = ? and governmetid != ?";
        $sqlQuery = new SqlQuery($sql);
        $sqlQuery->set($governmentname);
        $sqlQuery->setNumber($oldGovernmentId);
        return $this->getList($sqlQuery);
        
    }  


     public function governmentLimit(){
        $sql = "select *  from government where 1 limit 10";
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
        
    }      
}
?>